package gov.va.med.edp.web.handler;

import org.springframework.web.servlet.handler.SimpleMappingExceptionResolver;
import org.springframework.web.servlet.ModelAndView;

import javax.servlet.http.HttpServletRequest;

public class ExceptionResolver extends SimpleMappingExceptionResolver{
    protected ModelAndView getModelAndView(String viewName, Exception ex, HttpServletRequest request) {
        ModelAndView mav = super.getModelAndView(viewName, ex, request);
        mav.addObject("resource", request.getRequestURI());
        return mav;
    }
}
